Subject: Re: [1/2] drivers/of: Add check for null property in of_remove_property()

From: Michael Ellerman <[email-masked]>
Date: Thu, 5 May 2016 08:40:23 +1000 (AEST)

On Thu, 2016-28-04 at 05:34:54 UTC, Suraj Jitindar Singh wrote:
> The validity of the property input argument to of_remove_property() is
> never checked within the function and thus it is possible to pass a null
> value. It happens that this will be picked up in __of_remove_property()
> as no matching property of the device node will be found and thus an
> error will be returned, however once again there is no explicit check
> for a null value. By the time this is detected 2 locks have already been
> acquired which is completely unnecessary if the property to remove is
> null.
> 
> Add an explicit check in the function of_remove_property() for a null
> property value and return -ENODEV in this case, this is consistent with
> what the previous return value would have been when the null value was
> not detected and passed to __of_remove_property().
> 
> By moving an explicit check for the property paramenter into the
> of_remove_property() function, this will remove the need to perform this
> check in calling code before invocation of the of_remove_property()
> function.
> 
> Signed-off-by: Suraj Jitindar Singh <[email-masked]>
> Acked-by: Rob Herring <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/1c173cb23486f540ea08a5050a

cheers